Package org.bukkit.entity

# Enum Class Parrot.Variant

java.lang.Object
java.lang.Enum<Parrot.Variant>
org.bukkit.entity.Parrot.Variant

All Implemented Interfaces:
  `Serializable`, `Comparable<Parrot.Variant>`, `Constable`

Enclosing interface:
  Parrot

public static enum Parrot.Variant extends Enum<Parrot.Variant>
Represents the variant of a parrot - ie its color.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLUE`
Royal blue colored parrot.
`CYAN`
Cyan colored parrot.
`GRAY`
Gray colored parrot.
`GREEN`
Green colored parrot.
`RED`
Classic parrot - red with colored wingtips.

## Method Summary

Modifier and Type
Method
Description
`static Parrot.Variant`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Parrot.Variant[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RED

public static final Parrot.Variant RED
Classic parrot - red with colored wingtips.

### BLUE

public static final Parrot.Variant BLUE
Royal blue colored parrot.

### GREEN

public static final Parrot.Variant GREEN
Green colored parrot.

### CYAN

public static final Parrot.Variant CYAN
Cyan colored parrot.

### GRAY

public static final Parrot.Variant GRAY
Gray colored parrot.

## Method Details

### values

public static Parrot.Variant[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Parrot.Variant valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null